#ifndef _INVENTORYSPUPPLIERS_H
#define _INVENTORYSPUPPLIERS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class InventorySuppliers;
}

class InventorySuppliers : public QDialog
{
    Q_OBJECT

public:
    explicit InventorySuppliers(QWidget *parent = nullptr);
    ~InventorySuppliers();

//signals:
//    void firstWindow();

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableSuppliers;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
